Gradleを7.0.2に、com.android.tools.build:gradleのバージョンを7.0.4に変更したところアプリビルドと実行はできますが、Intentを使ったテストが失敗するようになりました。androidx.test.espresso:espresso-intentsとandroidx.test.espresso:espresso-contribのバージョンを3.5.0以上(2022年7月現在3.5.0-alpha01以上)にするとテストできます。

https://mvnrepository.com/artifact/androidx.test.espresso/espresso-intents